curl --request POST \
--url https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my_wonderful_router",
"external_gateway_info": {
"enable_snat": true,
"type": "default"
},
"interfaces": [
{
"subnet_id": "3ed9e2ce-f906-47fb-ba32-c25a3f63df4f",
"type": "subnet"
}
],
"routes": [
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
}
'import requests
url = "https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id}"
payload = {
"name": "my_wonderful_router",
"external_gateway_info": {
"enable_snat": True,
"type": "default"
},
"interfaces": [
{
"subnet_id": "3ed9e2ce-f906-47fb-ba32-c25a3f63df4f",
"type": "subnet"
}
],
"routes": [
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my_wonderful_router',
external_gateway_info: {enable_snat: true, type: 'default'},
interfaces: [{subnet_id: '3ed9e2ce-f906-47fb-ba32-c25a3f63df4f', type: 'subnet'}],
routes: [{destination: '10.0.3.0/24', nexthop: '10.0.0.13'}]
})
};
fetch('https://api.gcore.com/cloud/v1/routers/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create router
Create a new router with the specified configuration.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
1
Region ID
1
Body
name of router
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"my_wonderful_router"
External gateway configuration. Use type 'default' to let the platform automatically select the external network, or type 'manual' to specify a particular external network via network_id. If omitted, the router is created without an external gateway.
- RouterExternalManualGwSerializer
- RouterExternalDefaultGwSerializer
Show child attributes
Show child attributes
{ "enable_snat": true, "type": "default" }
List of interfaces to attach to router immediately after creation.
Show child attributes
Show child attributes
[
{
"subnet_id": "3ed9e2ce-f906-47fb-ba32-c25a3f63df4f",
"type": "subnet"
}
]
List of custom routes.
Show child attributes
Show child attributes
[
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?